Package: org.apache.groovy.groovysh.jline

## [Groovy] Class Snippet

- org.apache.groovy.groovysh.jline.Snippet

-     class Snippet
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `snippet`
    `SnippetType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Snippet(SnippetType type, String snippet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### String snippet

    - #### SnippetType type

  - ### Constructor Detail

    - #### Snippet(SnippetType type, String snippet)